version: '3.7'

services:
  base:
    build:
      context: .
      cache_from:
        - ${CACHE_IMAGE:-registry.gitlab.com/wayuki/playground/projects/ftr:latest}
    image: ${RELEASE_IMAGE:-registry.gitlab.com/wayuki/playground/projects/ftr:latest}

  local:
    image: ${RELEASE_IMAGE:-registry.gitlab.com/wayuki/playground/projects/ftr:latest}

  test:
    image: ${RELEASE_IMAGE:-registry.gitlab.com/wayuki/playground/projects/ftr:latest}
    command: ./test

  deploy:
    image: registry.gitlab.com/wayuki/boring:latest
    command: ./deploy
    working_dir: /root
    volumes:
      - .:/root
      - /var/run/docker.sock:/var/run/docker.sock
